Subject: Re: Java GIT/Eclipse GIT version 0.1.1

From: Shawn Pearce <[email-masked]>
Date: Sat, 29 Jul 2006 00:08:19 -0400

Pavel Roskin <[email-masked]> wrote:
> On Fri, 2006-07-28 at 23:32 -0400, Shawn Pearce wrote:
> 
> > Hmm.  My website is known to return 200 OK status codes on missing
> > files with HTML pages rather than proper 404 Not Found.  I guess
> > I need to get that fixed.
> 
> Maybe git-http-fetch could treat MIME type text/html like error 404?
> It's not like any valid file git requests can be in HTML format.

This has been discussed to death on the list, mostly due to my pg
repository causing the same error (its on the same server).

The solution turned out to be rather good in my opinion: if an
object is corrupt we log it, and skip to pack downloading.  At the
end the bad object is logged and the user is encouraged to run
git-fsck-objects to verify there's no corrupt objects or objects
which are missing things they point at (e.g. ancestor commits
or trees).

Of course the real solution here is for me to fix my server.  :-)

> > I just compiled and installed `next` (1.4.2.rc1.g802da) and it can
> > clone this repository just fine over HTTP, despite my broken server.
> > So I'm not really sure what is going on.
> 
> Sorry, I was unclear.  I can clone the repository, I was just concerned
> that something was missing from it.

git-http-fetch recommends running git-fsck-objects to be sure,
but yea, usually its complete even though you get the error.

-- 
Shawn.